import React from 'react';
import { StyleSheet, View } from 'react-native';
const BackIcon = ({
  styles
}) => {
  return /*#__PURE__*/React.createElement(View, {
    style: style.backIconContainer
  }, /*#__PURE__*/React.createElement(View, {
    style: [style.backIconLine1, styles.backIcon]
  }), /*#__PURE__*/React.createElement(View, {
    style: [style.backIconLine2, styles.backIcon]
  }));
};
const style = StyleSheet.create({
  backIconContainer: {
    justifyContent: 'center',
    alignItems: 'flex-start',
    height: 30,
    width: 20
  },
  backIconLine1: {
    width: 12,
    height: 2,
    backgroundColor: 'red',
    transform: [{
      rotate: '130deg'
    }]
  },
  backIconLine2: {
    marginTop: 6,
    width: 12,
    height: 2,
    backgroundColor: 'red',
    transform: [{
      rotate: '230deg'
    }]
  }
});
export default BackIcon;