import type { NotificationDataType } from '@sirenapp/js-sdk/dist/esm/types';
import { LogLevel, ThemeMode } from './constants';
import type { StyleProps, CustomStyleProps, ThemeProps } from '../types';
export declare const isNonEmptyArray: (arr?: unknown[] | null) => boolean;
export declare const updateNotifications: (eventData: {
    id?: string;
    action: string;
    newNotifications?: NotificationDataType[];
    unreadCount?: number;
}, notifications: NotificationDataType[]) => NotificationDataType[];
export declare const generateElapsedTimeText: (timeString: string) => string;
export declare const logger: {
    log: (level: LogLevel.INFO | LogLevel.ERROR, message: string) => Promise<void>;
    error: (error: string) => void;
    info: (message: string) => void;
};
export declare const applyTheme: (theme?: ThemeProps, customStyles?: CustomStyleProps, mode?: ThemeMode) => StyleProps;
//# sourceMappingURL=commonUtils.d.ts.map